VSTGUI: ParameterChangeListener Class Reference

VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Member Functions | Protected Types | Protected Member Functions | Protected Attributes | List of all members
ParameterChangeListener Class Reference
Inheritance diagram for ParameterChangeListener:

## Public Member Functions
| ParameterChangeListener (Steinberg::Vst::EditController *editController, Steinberg::Vst::Parameter *parameter, CControl *control)
| ~ParameterChangeListener () override
void | addControl (CControl *control)
void | removeControl (CControl *control)
bool | containsControl (CControl *control)
void PLUGIN_API | update (FUnknown *changedUnknown, Steinberg::int32 message) override
Steinberg::Vst::ParamID | getParameterID ()
void | beginEdit ()
void | endEdit ()
void | performEdit (Steinberg::Vst::ParamValue value)
Steinberg::Vst::Parameter * | getParameter () const

## Protected Types
using | ControlList = std::list<CControl*>

## Protected Member Functions
bool | convertValueToString (float value, char utf8String[256])
void | updateControlValue (Steinberg::Vst::ParamValue value)

## Protected Attributes
Steinberg::Vst::EditController * | editController
Steinberg::Vst::Parameter * | parameter
ControlList | controls

## Member Typedef Documentation

## ◆ ControlList

using ControlList = std::list<CControl*>
| protected

## Constructor & Destructor Documentation

## ◆ ParameterChangeListener()

ParameterChangeListener | ( | Steinberg::Vst::EditController * | editController,
|  | Steinberg::Vst::Parameter * | parameter,
|  | CControl * | control )
| inline

## ◆ ~ParameterChangeListener()

~ParameterChangeListener | ( |  | ) |
| inlineoverride

## Member Function Documentation

## ◆ addControl()

void addControl | ( | CControl * | control | ) |
| inline

## ◆ beginEdit()

void beginEdit | ( |  | ) |
| inline

## ◆ containsControl()

bool containsControl | ( | CControl * | control | ) |
| inline

## ◆ convertValueToString()

bool convertValueToString | ( | float | value,
|  | char | utf8String[256] )
| inlineprotected

## ◆ endEdit()

void endEdit | ( |  | ) |
| inline

## ◆ getParameter()

Steinberg::Vst::Parameter * getParameter | ( |  | ) | const
| inline

## ◆ getParameterID()

Steinberg::Vst::ParamID getParameterID | ( |  | ) |
| inline

## ◆ performEdit()

void performEdit | ( | Steinberg::Vst::ParamValue | value | ) |
| inline

## ◆ removeControl()

void removeControl | ( | CControl * | control | ) |
| inline

## ◆ update()

void PLUGIN_API update | ( | FUnknown * | changedUnknown,
|  | Steinberg::int32 | message )
| inlineoverride

## ◆ updateControlValue()

void updateControlValue | ( | Steinberg::Vst::ParamValue | value | ) |
| inlineprotected

## Member Data Documentation

## ◆ controls

ControlList controls
| protected

## ◆ editController

Steinberg::Vst::EditController* editController
| protected

## ◆ parameter

Steinberg::Vst::Parameter* parameter
| protected

The documentation for this class was generated from the following file:

- vst3editor.cpp